VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL W_DAT(7:0)
        SIGNAL A0
        SIGNAL A1
        SIGNAL A2
        SIGNAL DH1
        SIGNAL DH2
        SIGNAL DH3
        SIGNAL WR_PULSE
        SIGNAL CLEAR
        SIGNAL GEN_REG_ACCESS
        SIGNAL R_DAT(7:0)
        SIGNAL DH0
        SIGNAL XLXN_41
        SIGNAL XLXN_42
        SIGNAL XLXN_43
        SIGNAL XLXN_44
        SIGNAL PORT_A
        SIGNAL PORT_B
        SIGNAL PORT_C
        SIGNAL CONTROLREG
        SIGNAL PORTA(7:0)
        SIGNAL PORTB(7:0)
        SIGNAL PORTC(7:0)
        SIGNAL A_DO(7:0)
        SIGNAL B_DO(7:0)
        SIGNAL CONTROL(7:0)
        SIGNAL C_DO(7:0)
        SIGNAL W_DAT(7)
        SIGNAL W_DAT(6)
        SIGNAL W_DAT(5)
        SIGNAL W_DAT(2)
        SIGNAL XLXN_139
        SIGNAL XLXN_140
        SIGNAL XLXN_141
        SIGNAL XLXN_142
        SIGNAL W_DAT(0)
        SIGNAL W_DAT(1)
        SIGNAL W_DAT(3)
        SIGNAL W_DAT(4)
        SIGNAL XLXN_175
        SIGNAL XLXN_144
        SIGNAL XLXN_145
        SIGNAL XLXN_146
        SIGNAL XLXN_147
        SIGNAL CONTROL(0)
        SIGNAL CONTROL(1)
        SIGNAL CONTROL(3)
        SIGNAL CONTROL(4)
        SIGNAL CONTROL(2)
        SIGNAL CONTROL(5)
        SIGNAL CONTROL(6)
        SIGNAL CONTROL(7)
        SIGNAL XLXN_246
        SIGNAL XLXN_248
        SIGNAL XLXN_251
        SIGNAL XLXN_252
        SIGNAL DD(7:0)
        SIGNAL DA0
        SIGNAL DA1
        SIGNAL DA2
        SIGNAL CS0n
        SIGNAL CS1n
        SIGNAL DMARQ
        SIGNAL DMACKn
        SIGNAL DIORn
        SIGNAL DIOWn
        SIGNAL RESETn
        SIGNAL CSEL
        SIGNAL READ_ADRS
        SIGNAL REI
        SIGNAL XLXN_32
        SIGNAL REO
        SIGNAL SELECTEDn
        SIGNAL DH0n
        SIGNAL DH1n
        SIGNAL DH2n
        SIGNAL DH3n
        SIGNAL XLXN_254
        PORT BiDirectional PORTA(7:0)
        PORT BiDirectional PORTB(7:0)
        PORT BiDirectional PORTC(7:0)
        PORT BiDirectional DD(7:0)
        PORT Input DA0
        PORT Input DA1
        PORT Input DA2
        PORT Input CS0n
        PORT Input CS1n
        PORT Input DMARQ
        PORT Input DMACKn
        PORT Input DIORn
        PORT Input DIOWn
        PORT Input RESETn
        PORT Input CSEL
        PORT Input REI
        PORT Output REO
        PORT Output SELECTEDn
        PORT Output DH0n
        PORT Output DH1n
        PORT Output DH2n
        PORT Output DH3n
        BEGIN BLOCKDEF ibuf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF ATA_REG_DECODE
            TIMESTAMP 2006 7 14 16 39 9
            RECTANGLE N 64 -256 384 0 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 384 -224 448 -224 
            LINE N 384 -160 448 -160 
            LINE N 384 -96 448 -96 
            LINE N 384 -32 448 -32 
            LINE N 64 -32 0 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF and2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF and5b3
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 -320 
            LINE N 64 -240 144 -240 
            ARC N 96 -240 192 -144 144 -144 144 -240 
            LINE N 144 -144 64 -144 
            LINE N 256 -192 192 -192 
            LINE N 0 -320 64 -320 
            LINE N 0 -256 64 -256 
            LINE N 0 -192 40 -192 
            CIRCLE N 40 -204 64 -180 
            LINE N 0 -128 40 -128 
            CIRCLE N 40 -140 64 -116 
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
        END BLOCKDEF
        BEGIN BLOCKDEF PORT_8255_01
            TIMESTAMP 2006 7 15 13 29 43
            RECTANGLE N 64 -384 320 0 
            LINE N 64 -160 0 -160 
            LINE N 64 -352 0 -352 
            RECTANGLE N 0 -364 64 -340 
            LINE N 320 -288 384 -288 
            RECTANGLE N 320 -300 384 -276 
            LINE N 64 -32 0 -32 
            LINE N 64 -96 0 -96 
            LINE N 320 -352 384 -352 
            RECTANGLE N 320 -364 384 -340 
            LINE N 64 -224 0 -224 
            LINE N 64 -288 0 -288 
        END BLOCKDEF
        BEGIN BLOCKDEF sel_4a8
            TIMESTAMP 2006 7 15 12 39 32
            RECTANGLE N 64 -512 320 0 
            LINE N 64 -480 0 -480 
            RECTANGLE N 0 -492 64 -468 
            LINE N 64 -416 0 -416 
            RECTANGLE N 0 -428 64 -404 
            LINE N 64 -352 0 -352 
            RECTANGLE N 0 -364 64 -340 
            LINE N 64 -288 0 -288 
            RECTANGLE N 0 -300 64 -276 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -384 384 -384 
            RECTANGLE N 320 -396 384 -372 
        END BLOCKDEF
        BEGIN BLOCKDEF obuf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF inv4
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 224 -32 160 -32 
            LINE N 224 -96 160 -96 
            LINE N 224 -160 160 -160 
            LINE N 224 -224 160 -224 
            LINE N 0 -32 64 -32 
            LINE N 0 -96 64 -96 
            LINE N 0 -160 64 -160 
            LINE N 0 -224 64 -224 
            LINE N 64 -256 128 -224 
            LINE N 128 -224 64 -192 
            LINE N 64 -192 64 -256 
            CIRCLE N 128 -48 160 -16 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            LINE N 64 -128 128 -96 
            LINE N 128 -96 64 -64 
            LINE N 64 -64 64 -128 
            CIRCLE N 128 -112 160 -80 
            LINE N 64 -192 128 -160 
            LINE N 128 -160 64 -128 
            LINE N 64 -128 64 -192 
            CIRCLE N 128 -176 160 -144 
            CIRCLE N 128 -240 160 -208 
        END BLOCKDEF
        BEGIN BLOCKDEF fd4ce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 384 -448 320 -448 
            LINE N 384 -384 320 -384 
            LINE N 0 -384 64 -384 
            LINE N 0 -448 64 -448 
            LINE N 0 -320 64 -320 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 384 -320 320 -320 
            RECTANGLE N 64 -512 320 -64 
            LINE N 0 -192 64 -192 
            LINE N 0 -32 64 -32 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 0 -128 64 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 96 -64 32 -64 
            LINE N 64 0 64 -32 
            LINE N 64 -32 64 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF ATA_FRONTEND_01a
            TIMESTAMP 2006 9 9 12 29 0
            RECTANGLE N 64 -1088 564 0 
            LINE N 64 -1056 0 -1056 
            RECTANGLE N 0 -1068 64 -1044 
            LINE N 64 -992 0 -992 
            LINE N 64 -928 0 -928 
            LINE N 64 -864 0 -864 
            LINE N 64 -800 0 -800 
            LINE N 64 -736 0 -736 
            LINE N 64 -672 0 -672 
            LINE N 64 -608 0 -608 
            LINE N 64 -544 0 -544 
            LINE N 64 -480 0 -480 
            LINE N 64 -416 0 -416 
            LINE N 64 -352 0 -352 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -172 64 -148 
            LINE N 564 -1056 628 -1056 
            RECTANGLE N 564 -1068 628 -1044 
            LINE N 564 -992 628 -992 
            LINE N 564 -928 628 -928 
            LINE N 564 -864 628 -864 
            LINE N 564 -800 628 -800 
            LINE N 564 -736 628 -736 
            LINE N 564 -672 628 -672 
            LINE N 564 -608 628 -608 
            LINE N 564 -544 628 -544 
            LINE N 564 -480 628 -480 
            LINE N 564 -416 628 -416 
            LINE N 564 -352 628 -352 
            LINE N 564 -288 628 -288 
            LINE N 564 -224 628 -224 
            LINE N 564 -160 628 -160 
            LINE N 564 -96 628 -96 
            LINE N 564 -32 628 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF and4b2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 40 -128 
            CIRCLE N 40 -140 64 -116 
            LINE N 0 -192 64 -192 
            LINE N 0 -256 64 -256 
            LINE N 256 -160 192 -160 
            LINE N 64 -208 144 -208 
            ARC N 96 -208 192 -112 144 -112 144 -208 
            LINE N 64 -64 64 -256 
            LINE N 144 -112 64 -112 
        END BLOCKDEF
        BEGIN BLOCK XLXI_5 ATA_REG_DECODE
            PIN A0 A0
            PIN A1 A1
            PIN A2 A2
            PIN ATA_REG_2 XLXN_41
            PIN ATA_REG_3 XLXN_42
            PIN ATA_REG_4 XLXN_43
            PIN ATA_REG_5 XLXN_44
            PIN ENABLE GEN_REG_ACCESS
        END BLOCK
        BEGIN BLOCK XLXI_7 and2
            PIN I0 READ_ADRS
            PIN I1 XLXN_41
            PIN O PORT_A
        END BLOCK
        BEGIN BLOCK XLXI_8 and2
            PIN I0 READ_ADRS
            PIN I1 XLXN_42
            PIN O PORT_B
        END BLOCK
        BEGIN BLOCK XLXI_9 and2
            PIN I0 READ_ADRS
            PIN I1 XLXN_43
            PIN O PORT_C
        END BLOCK
        BEGIN BLOCK XLXI_10 and2
            PIN I0 READ_ADRS
            PIN I1 XLXN_44
            PIN O CONTROLREG
        END BLOCK
        BEGIN BLOCK XLXI_19 PORT_8255_01
            PIN CLR CLEAR
            PIN DI(7:0) W_DAT(7:0)
            PIN DO(7:0) C_DO(7:0)
            PIN OE_HI XLXN_252
            PIN OE_LO XLXN_251
            PIN PORT_(7:0) PORTC(7:0)
            PIN WCLK WR_PULSE
            PIN WE PORT_C
        END BLOCK
        BEGIN BLOCK XLXI_26 sel_4a8
            PIN D0(7:0) A_DO(7:0)
            PIN D1(7:0) B_DO(7:0)
            PIN D2(7:0) C_DO(7:0)
            PIN D3(7:0) CONTROL(7:0)
            PIN S0 PORT_A
            PIN S1 PORT_B
            PIN S2 PORT_C
            PIN S3 CONTROLREG
            PIN DO(7:0) R_DAT(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_14 and5b3
            PIN I0 W_DAT(2)
            PIN I1 W_DAT(5)
            PIN I2 W_DAT(6)
            PIN I3 W_DAT(7)
            PIN I4 CONTROLREG
            PIN O XLXN_175
        END BLOCK
        BEGIN BLOCK XLXI_45 inv4
            PIN I0 W_DAT(4)
            PIN I1 W_DAT(3)
            PIN I2 W_DAT(1)
            PIN I3 W_DAT(0)
            PIN O0 XLXN_139
            PIN O1 XLXN_140
            PIN O2 XLXN_141
            PIN O3 XLXN_142
        END BLOCK
        BEGIN BLOCK XLXI_43 fd4ce
            PIN C WR_PULSE
            PIN CE XLXN_175
            PIN CLR CLEAR
            PIN D0 XLXN_142
            PIN D1 XLXN_141
            PIN D2 XLXN_140
            PIN D3 XLXN_139
            PIN Q0 XLXN_147
            PIN Q1 XLXN_146
            PIN Q2 XLXN_145
            PIN Q3 XLXN_144
        END BLOCK
        BEGIN BLOCK XLXI_54 vcc
            PIN P CONTROL(7)
        END BLOCK
        BEGIN BLOCK XLXI_55 inv
            PIN I CONTROL(7)
            PIN O CONTROL(2)
        END BLOCK
        BEGIN BLOCK XLXI_56 inv
            PIN I CONTROL(7)
            PIN O CONTROL(5)
        END BLOCK
        BEGIN BLOCK XLXI_57 inv
            PIN I CONTROL(7)
            PIN O CONTROL(6)
        END BLOCK
        BEGIN BLOCK XLXI_46 inv4
            PIN I0 XLXN_144
            PIN I1 XLXN_145
            PIN I2 XLXN_146
            PIN I3 XLXN_147
            PIN O0 CONTROL(4)
            PIN O1 CONTROL(3)
            PIN O2 CONTROL(1)
            PIN O3 CONTROL(0)
        END BLOCK
        BEGIN BLOCK XLXI_16 PORT_8255_01
            PIN CLR CLEAR
            PIN DI(7:0) W_DAT(7:0)
            PIN DO(7:0) A_DO(7:0)
            PIN OE_HI XLXN_246
            PIN OE_LO XLXN_246
            PIN PORT_(7:0) PORTA(7:0)
            PIN WCLK WR_PULSE
            PIN WE PORT_A
        END BLOCK
        BEGIN BLOCK XLXI_18 PORT_8255_01
            PIN CLR CLEAR
            PIN DI(7:0) W_DAT(7:0)
            PIN DO(7:0) B_DO(7:0)
            PIN OE_HI XLXN_248
            PIN OE_LO XLXN_248
            PIN PORT_(7:0) PORTB(7:0)
            PIN WCLK WR_PULSE
            PIN WE PORT_B
        END BLOCK
        BEGIN BLOCK XLXI_76 inv
            PIN I CONTROL(4)
            PIN O XLXN_246
        END BLOCK
        BEGIN BLOCK XLXI_77 inv
            PIN I CONTROL(1)
            PIN O XLXN_248
        END BLOCK
        BEGIN BLOCK XLXI_78 inv
            PIN I CONTROL(0)
            PIN O XLXN_251
        END BLOCK
        BEGIN BLOCK XLXI_79 inv
            PIN I CONTROL(3)
            PIN O XLXN_252
        END BLOCK
        BEGIN BLOCK XLXI_37 obuf
            PIN I XLXN_32
            PIN O REO
        END BLOCK
        BEGIN BLOCK XLXI_81 ATA_FRONTEND_01a
            PIN DD(7:0) DD(7:0)
            PIN DA0 DA0
            PIN DA1 DA1
            PIN DA2 DA2
            PIN CS0n CS0n
            PIN CS1n CS1n
            PIN DMARQ DMARQ
            PIN DMACKn DMACKn
            PIN DIORn DIORn
            PIN DIOWn DIOWn
            PIN RESETn RESETn
            PIN CSEL CSEL
            PIN READ_ADRS READ_ADRS
            PIN READ_ENABLE_IN XLXN_254
            PIN R_DAT(7:0) R_DAT(7:0)
            PIN W_DAT(7:0) W_DAT(7:0)
            PIN A0 A0
            PIN A1 A1
            PIN A2 A2
            PIN DH0 DH0
            PIN DH1 DH1
            PIN DH2 DH2
            PIN DH3 DH3
            PIN WR_PULSE WR_PULSE
            PIN CLEAR CLEAR
            PIN GEN_REG_ACCESS GEN_REG_ACCESS
            PIN READ_ENABLE_OUT XLXN_32
            PIN SELECTEDn SELECTEDn
            PIN DH0n DH0n
            PIN DH1n DH1n
            PIN DH2n DH2n
            PIN DH3n DH3n
        END BLOCK
        BEGIN BLOCK XLXI_82 ibuf
            PIN I REI
            PIN O XLXN_254
        END BLOCK
        BEGIN BLOCK XLXI_83 and4b2
            PIN I0 DH3
            PIN I1 DH0
            PIN I2 DH2
            PIN I3 DH1
            PIN O READ_ADRS
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 1900 1344
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        BEGIN BRANCH DD(7:0)
            WIRE 240 112 544 112
        END BRANCH
        BEGIN BRANCH DA0
            WIRE 240 176 544 176
        END BRANCH
        BEGIN BRANCH DA1
            WIRE 240 240 544 240
        END BRANCH
        BEGIN BRANCH DA2
            WIRE 240 304 544 304
        END BRANCH
        BEGIN BRANCH CS0n
            WIRE 240 368 544 368
        END BRANCH
        BEGIN BRANCH CS1n
            WIRE 240 432 544 432
        END BRANCH
        BEGIN BRANCH DMARQ
            WIRE 240 496 544 496
        END BRANCH
        BEGIN BRANCH DMACKn
            WIRE 240 560 544 560
        END BRANCH
        BEGIN BRANCH DIORn
            WIRE 240 624 544 624
        END BRANCH
        BEGIN BRANCH DIOWn
            WIRE 240 688 544 688
        END BRANCH
        BEGIN BRANCH RESETn
            WIRE 240 752 544 752
        END BRANCH
        BEGIN BRANCH CSEL
            WIRE 240 816 544 816
        END BRANCH
        BEGIN BRANCH READ_ADRS
            WIRE 144 880 224 880
            WIRE 224 880 464 880
            WIRE 464 880 544 880
            BEGIN DISPLAY 224 880 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH W_DAT(7:0)
            WIRE 1168 112 1552 112
            WIRE 1552 112 1648 112
            BEGIN DISPLAY 1552 112 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH A0
            WIRE 1168 176 1616 176
            WIRE 1616 176 1648 176
            BEGIN DISPLAY 1616 176 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH A1
            WIRE 1168 240 1616 240
            WIRE 1616 240 1648 240
            BEGIN DISPLAY 1616 240 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH A2
            WIRE 1168 304 1616 304
            WIRE 1616 304 1648 304
            BEGIN DISPLAY 1616 304 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DH1
            WIRE 1168 432 1616 432
            WIRE 1616 432 1648 432
            BEGIN DISPLAY 1616 432 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DH2
            WIRE 1168 496 1616 496
            WIRE 1616 496 1648 496
            BEGIN DISPLAY 1616 496 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DH3
            WIRE 1168 560 1616 560
            WIRE 1616 560 1648 560
            BEGIN DISPLAY 1616 560 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WR_PULSE
            WIRE 1168 624 1568 624
            WIRE 1568 624 1648 624
            BEGIN DISPLAY 1568 624 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CLEAR
            WIRE 1168 688 1600 688
            WIRE 1600 688 1648 688
            BEGIN DISPLAY 1600 688 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH GEN_REG_ACCESS
            WIRE 1168 752 1520 752
            WIRE 1520 752 1648 752
            BEGIN DISPLAY 1520 752 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DH0
            WIRE 1168 368 1616 368
            WIRE 1616 368 1648 368
            BEGIN DISPLAY 1616 368 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_32
            WIRE 1168 816 1280 816
        END BRANCH
        BEGIN BRANCH REO
            WIRE 1504 816 1568 816
        END BRANCH
        INSTANCE XLXI_37 1280 848 R0
        BEGIN INSTANCE XLXI_81 544 1168 R0
        END INSTANCE
        BEGIN BRANCH SELECTEDn
            WIRE 1168 880 1568 880
        END BRANCH
        BEGIN BRANCH DH0n
            WIRE 1168 944 1568 944
        END BRANCH
        BEGIN BRANCH DH1n
            WIRE 1168 1008 1568 1008
        END BRANCH
        BEGIN BRANCH DH2n
            WIRE 1168 1072 1568 1072
        END BRANCH
        BEGIN BRANCH DH3n
            WIRE 1168 1136 1568 1136
        END BRANCH
        IOMARKER 240 176 DA0 R180 28
        IOMARKER 240 240 DA1 R180 28
        IOMARKER 240 304 DA2 R180 28
        IOMARKER 240 368 CS0n R180 28
        IOMARKER 240 432 CS1n R180 28
        IOMARKER 240 496 DMARQ R180 28
        IOMARKER 240 560 DMACKn R180 28
        IOMARKER 240 624 DIORn R180 28
        IOMARKER 240 688 DIOWn R180 28
        IOMARKER 240 752 RESETn R180 28
        IOMARKER 240 816 CSEL R180 28
        IOMARKER 240 112 DD(7:0) R180 28
        IOMARKER 1568 816 REO R0 28
        IOMARKER 1568 880 SELECTEDn R0 28
        IOMARKER 1568 944 DH0n R0 28
        IOMARKER 1568 1008 DH1n R0 28
        IOMARKER 1568 1072 DH2n R0 28
        IOMARKER 1568 1136 DH3n R0 28
        BEGIN DISPLAY 1388 1228 TEXT "ATA-Port 8255_01"
            FONT 44 "Arial"
        END DISPLAY
        BEGIN DISPLAY 1376 1288 TEXT "3 Ports 8255 Mode 0"
            FONT 44 "Arial"
        END DISPLAY
        IOMARKER 224 944 REI R180 28
        BEGIN BRANCH REI
            WIRE 224 944 240 944
            WIRE 240 944 256 944
            WIRE 256 944 288 944
        END BRANCH
        BEGIN BRANCH XLXN_254
            WIRE 512 944 544 944
        END BRANCH
        INSTANCE XLXI_82 288 976 R0
        BEGIN BRANCH R_DAT(7:0)
            WIRE 144 1008 224 1008
            WIRE 224 1008 544 1008
            BEGIN DISPLAY 224 1008 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
    END SHEET
    BEGIN SHEET 2 1900 1344
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        BEGIN BRANCH A0
            WIRE 208 112 224 112
            WIRE 224 112 560 112
            BEGIN DISPLAY 224 112 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH A1
            WIRE 208 176 224 176
            WIRE 224 176 560 176
            BEGIN DISPLAY 224 176 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH A2
            WIRE 208 240 224 240
            WIRE 224 240 560 240
            BEGIN DISPLAY 224 240 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH GEN_REG_ACCESS
            WIRE 208 304 336 304
            WIRE 336 304 560 304
            BEGIN DISPLAY 336 304 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_7 1312 240 R0
        INSTANCE XLXI_8 1312 400 R0
        INSTANCE XLXI_9 1312 560 R0
        INSTANCE XLXI_10 1312 720 R0
        BEGIN INSTANCE XLXI_5 560 336 R0
        END INSTANCE
        BEGIN BRANCH XLXN_41
            WIRE 1008 112 1312 112
        END BRANCH
        BEGIN BRANCH XLXN_42
            WIRE 1008 176 1184 176
            WIRE 1184 176 1184 272
            WIRE 1184 272 1312 272
        END BRANCH
        BEGIN BRANCH XLXN_43
            WIRE 1008 240 1136 240
            WIRE 1136 240 1136 432
            WIRE 1136 432 1312 432
        END BRANCH
        BEGIN BRANCH XLXN_44
            WIRE 1008 304 1088 304
            WIRE 1088 304 1088 592
            WIRE 1088 592 1312 592
        END BRANCH
        BEGIN BRANCH DH3
            WIRE 208 752 240 752
            WIRE 240 752 480 752
            WIRE 480 752 608 752
            WIRE 608 752 720 752
            BEGIN DISPLAY 240 752 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH READ_ADRS
            WIRE 976 656 1248 656
            WIRE 1248 656 1312 656
            WIRE 1248 656 1248 768
            WIRE 1248 768 1696 768
            WIRE 1696 768 1776 768
            WIRE 1248 176 1312 176
            WIRE 1248 176 1248 336
            WIRE 1248 336 1312 336
            WIRE 1248 336 1248 496
            WIRE 1248 496 1248 656
            WIRE 1248 496 1296 496
            WIRE 1296 496 1312 496
            BEGIN DISPLAY 1696 768 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PORT_A
            WIRE 1568 144 1712 144
            WIRE 1712 144 1776 144
            BEGIN DISPLAY 1712 144 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PORT_B
            WIRE 1568 304 1712 304
            WIRE 1712 304 1776 304
            BEGIN DISPLAY 1712 304 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PORT_C
            WIRE 1568 464 1712 464
            WIRE 1712 464 1776 464
            BEGIN DISPLAY 1712 464 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CONTROLREG
            WIRE 1568 624 1696 624
            WIRE 1696 624 1776 624
            BEGIN DISPLAY 1696 624 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN DISPLAY 1264 848 TEXT "Port Adress Decoding"
            FONT 44 "Arial"
        END DISPLAY
        INSTANCE XLXI_83 720 816 R0
        BEGIN BRANCH DH1
            WIRE 208 560 240 560
            WIRE 240 560 576 560
            WIRE 576 560 624 560
            WIRE 624 560 720 560
            BEGIN DISPLAY 240 560 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DH2
            WIRE 208 624 240 624
            WIRE 240 624 528 624
            WIRE 528 624 592 624
            WIRE 592 624 720 624
            BEGIN DISPLAY 240 624 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DH0
            WIRE 208 688 240 688
            WIRE 240 688 624 688
            WIRE 624 688 720 688
            BEGIN DISPLAY 240 688 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN DISPLAY 712 508 TEXT "Port Address 6H"
            FONT 40 "Arial"
        END DISPLAY
    END SHEET
    BEGIN SHEET 3 1900 1344
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        INSTANCE XLXI_14 480 1120 R0
        BEGIN BRANCH CONTROLREG
            WIRE 48 800 128 800
            WIRE 128 800 480 800
            BEGIN DISPLAY 128 800 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH W_DAT(7)
            WIRE 336 864 384 864
            WIRE 384 864 480 864
            BEGIN DISPLAY 384 864 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH W_DAT(6)
            WIRE 336 928 384 928
            WIRE 384 928 480 928
            BEGIN DISPLAY 384 928 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH W_DAT(5)
            WIRE 336 992 384 992
            WIRE 384 992 480 992
            BEGIN DISPLAY 384 992 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH W_DAT(2)
            WIRE 336 1056 384 1056
            WIRE 384 1056 480 1056
            BEGIN DISPLAY 384 1056 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH W_DAT(7:0)
            WIRE 64 160 144 160
            WIRE 144 160 240 160
            WIRE 240 160 240 176
            WIRE 240 176 240 240
            WIRE 240 240 240 304
            WIRE 240 304 240 368
            WIRE 240 368 240 864
            WIRE 240 864 240 928
            WIRE 240 928 240 992
            WIRE 240 992 240 1056
            BEGIN DISPLAY 144 160 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_139
            WIRE 608 368 624 368
            WIRE 624 368 656 368
        END BRANCH
        BEGIN BRANCH XLXN_140
            WIRE 608 304 624 304
            WIRE 624 304 656 304
        END BRANCH
        BEGIN BRANCH XLXN_141
            WIRE 608 240 624 240
            WIRE 624 240 656 240
        END BRANCH
        BEGIN BRANCH XLXN_142
            WIRE 608 176 624 176
            WIRE 624 176 656 176
        END BRANCH
        BEGIN BRANCH CLEAR
            WIRE 64 592 112 592
            WIRE 112 592 656 592
            BEGIN DISPLAY 112 592 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WR_PULSE
            WIRE 64 496 128 496
            WIRE 128 496 656 496
            BEGIN DISPLAY 128 496 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 240 176 336 176
        BUSTAP 240 240 336 240
        BUSTAP 240 304 336 304
        BUSTAP 240 368 336 368
        BUSTAP 240 864 336 864
        BUSTAP 240 928 336 928
        BUSTAP 240 992 336 992
        BUSTAP 240 1056 336 1056
        INSTANCE XLXI_45 384 400 R0
        BEGIN BRANCH W_DAT(0)
            WIRE 336 176 368 176
            WIRE 368 176 384 176
            BEGIN DISPLAY 368 176 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH W_DAT(1)
            WIRE 336 240 368 240
            WIRE 368 240 384 240
            BEGIN DISPLAY 368 240 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH W_DAT(3)
            WIRE 336 304 368 304
            WIRE 368 304 384 304
            BEGIN DISPLAY 368 304 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH W_DAT(4)
            WIRE 336 368 368 368
            WIRE 368 368 384 368
            BEGIN DISPLAY 368 368 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_175
            WIRE 560 432 560 640
            WIRE 560 640 848 640
            WIRE 848 640 848 928
            WIRE 560 432 656 432
            WIRE 736 928 752 928
            WIRE 752 928 848 928
        END BRANCH
        BEGIN BRANCH CONTROL(7:0)
            WIRE 1568 160 1696 160
            WIRE 1696 160 1792 160
            WIRE 1568 160 1568 176
            WIRE 1568 176 1568 240
            WIRE 1568 240 1568 304
            WIRE 1568 304 1568 368
            WIRE 1568 368 1568 432
            WIRE 1568 432 1568 496
            WIRE 1568 496 1568 560
            WIRE 1568 560 1568 624
            WIRE 1568 624 1568 640
            BEGIN DISPLAY 1696 160 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 1568 176 1472 176
        BUSTAP 1568 240 1472 240
        BUSTAP 1568 304 1472 304
        BUSTAP 1568 368 1472 368
        BUSTAP 1568 432 1472 432
        BUSTAP 1568 496 1472 496
        BUSTAP 1568 560 1472 560
        INSTANCE XLXI_43 656 624 R0
        BEGIN BRANCH XLXN_144
            WIRE 1040 368 1056 368
            WIRE 1056 368 1120 368
        END BRANCH
        BEGIN BRANCH XLXN_145
            WIRE 1040 304 1056 304
            WIRE 1056 304 1120 304
        END BRANCH
        BEGIN BRANCH XLXN_146
            WIRE 1040 240 1056 240
            WIRE 1056 240 1120 240
        END BRANCH
        BEGIN BRANCH XLXN_147
            WIRE 1040 176 1056 176
            WIRE 1056 176 1120 176
        END BRANCH
        BEGIN BRANCH CONTROL(0)
            WIRE 1344 176 1376 176
            WIRE 1376 176 1472 176
            WIRE 1472 176 1520 176
            BEGIN DISPLAY 1376 176 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CONTROL(1)
            WIRE 1344 240 1376 240
            WIRE 1376 240 1472 240
            WIRE 1472 240 1520 240
            BEGIN DISPLAY 1376 240 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CONTROL(3)
            WIRE 1344 304 1376 304
            WIRE 1376 304 1472 304
            WIRE 1472 304 1520 304
            BEGIN DISPLAY 1376 304 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CONTROL(4)
            WIRE 1344 368 1376 368
            WIRE 1376 368 1472 368
            WIRE 1472 368 1520 368
            BEGIN DISPLAY 1376 368 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_55 1120 464 R0
        BEGIN BRANCH CONTROL(2)
            WIRE 1344 432 1360 432
            WIRE 1360 432 1472 432
            WIRE 1472 432 1520 432
            BEGIN DISPLAY 1360 432 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_56 1120 528 R0
        BEGIN BRANCH CONTROL(5)
            WIRE 1344 496 1376 496
            WIRE 1376 496 1472 496
            WIRE 1472 496 1520 496
            BEGIN DISPLAY 1376 496 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_57 1120 592 R0
        BEGIN BRANCH CONTROL(6)
            WIRE 1344 560 1376 560
            WIRE 1376 560 1472 560
            WIRE 1472 560 1520 560
            BEGIN DISPLAY 1376 560 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_46 1120 400 R0
        INSTANCE XLXI_54 1120 704 R180
        BUSTAP 1568 624 1472 624
        BEGIN BRANCH CONTROL(7)
            WIRE 1056 432 1120 432
            WIRE 1056 432 1056 496
            WIRE 1056 496 1120 496
            WIRE 1056 496 1056 560
            WIRE 1056 560 1120 560
            WIRE 1056 560 1056 624
            WIRE 1056 624 1056 640
            WIRE 1056 640 1056 704
            WIRE 1056 624 1376 624
            WIRE 1376 624 1472 624
            BEGIN DISPLAY 1376 624 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN DISPLAY 1120 1000 TEXT "8255 Control Register"
            FONT 44 "Arial"
        END DISPLAY
    END SHEET
    BEGIN SHEET 4 1900 1344
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        BEGIN BRANCH W_DAT(7:0)
            WIRE 160 112 240 112
            WIRE 240 112 560 112
            WIRE 560 112 864 112
            WIRE 560 112 560 592
            WIRE 560 592 864 592
            BEGIN DISPLAY 240 112 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PORT_A
            WIRE 160 176 208 176
            WIRE 208 176 864 176
            BEGIN DISPLAY 208 176 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PORT_B
            WIRE 176 656 240 656
            WIRE 240 656 864 656
            BEGIN DISPLAY 240 656 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WR_PULSE
            WIRE 160 240 256 240
            WIRE 256 240 496 240
            WIRE 496 240 864 240
            WIRE 496 240 496 720
            WIRE 496 720 864 720
            BEGIN DISPLAY 256 240 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CLEAR
            WIRE 160 304 208 304
            WIRE 208 304 432 304
            WIRE 432 304 864 304
            WIRE 432 304 432 784
            WIRE 432 784 864 784
            BEGIN DISPLAY 208 304 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PORTA(7:0)
            WIRE 1248 112 1488 112
            WIRE 1488 112 1504 112
        END BRANCH
        BEGIN BRANCH PORTB(7:0)
            WIRE 1248 592 1488 592
            WIRE 1488 592 1504 592
        END BRANCH
        IOMARKER 1504 112 PORTA(7:0) R0 28
        IOMARKER 1504 592 PORTB(7:0) R0 28
        BEGIN BRANCH A_DO(7:0)
            WIRE 1248 176 1456 176
            WIRE 1456 176 1520 176
            BEGIN DISPLAY 1456 176 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH B_DO(7:0)
            WIRE 1248 656 1440 656
            WIRE 1440 656 1520 656
            BEGIN DISPLAY 1440 656 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_16 864 464 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_18 864 944 R0
        END INSTANCE
        INSTANCE XLXI_76 576 400 R0
        INSTANCE XLXI_77 576 880 R0
        BEGIN BRANCH XLXN_246
            WIRE 800 368 832 368
            WIRE 832 368 864 368
            WIRE 832 368 832 432
            WIRE 832 432 864 432
        END BRANCH
        BEGIN BRANCH XLXN_248
            WIRE 800 848 832 848
            WIRE 832 848 864 848
            WIRE 832 848 832 912
            WIRE 832 912 864 912
        END BRANCH
        BEGIN BRANCH CONTROL(4)
            WIRE 160 368 240 368
            WIRE 240 368 576 368
            BEGIN DISPLAY 240 368 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CONTROL(1)
            WIRE 176 848 256 848
            WIRE 256 848 576 848
            BEGIN DISPLAY 256 848 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN DISPLAY 1428 1056 TEXT "Ports A, B"
            FONT 44 "Arial"
        END DISPLAY
    END SHEET
    BEGIN SHEET 5 1900 1344
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        BEGIN INSTANCE XLXI_19 704 464 R0
        END INSTANCE
        BEGIN BRANCH W_DAT(7:0)
            WIRE 224 112 304 112
            WIRE 304 112 704 112
            BEGIN DISPLAY 304 112 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PORT_C
            WIRE 224 176 288 176
            WIRE 288 176 704 176
            BEGIN DISPLAY 288 176 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WR_PULSE
            WIRE 224 240 320 240
            WIRE 320 240 704 240
            BEGIN DISPLAY 320 240 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CLEAR
            WIRE 224 304 272 304
            WIRE 272 304 704 304
            BEGIN DISPLAY 272 304 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PORTC(7:0)
            WIRE 1088 112 1616 112
        END BRANCH
        IOMARKER 1616 112 PORTC(7:0) R0 28
        BEGIN INSTANCE XLXI_26 688 1200 R0
        END INSTANCE
        BEGIN BRANCH R_DAT(7:0)
            WIRE 1072 816 1504 816
            WIRE 1504 816 1600 816
            BEGIN DISPLAY 1504 816 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH A_DO(7:0)
            WIRE 240 720 304 720
            WIRE 304 720 688 720
            BEGIN DISPLAY 304 720 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH B_DO(7:0)
            WIRE 240 784 304 784
            WIRE 304 784 688 784
            BEGIN DISPLAY 304 784 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PORT_A
            WIRE 240 976 304 976
            WIRE 304 976 688 976
            BEGIN DISPLAY 304 976 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PORT_B
            WIRE 240 1040 304 1040
            WIRE 304 1040 688 1040
            BEGIN DISPLAY 304 1040 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PORT_C
            WIRE 240 1104 304 1104
            WIRE 304 1104 688 1104
            BEGIN DISPLAY 304 1104 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CONTROLREG
            WIRE 240 1168 352 1168
            WIRE 352 1168 688 1168
            BEGIN DISPLAY 352 1168 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CONTROL(7:0)
            WIRE 240 912 336 912
            WIRE 336 912 688 912
            BEGIN DISPLAY 336 912 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH C_DO(7:0)
            WIRE 512 576 512 848
            WIRE 512 848 688 848
            WIRE 512 576 880 576
            WIRE 880 576 1200 576
            WIRE 1088 176 1200 176
            WIRE 1200 176 1200 576
            BEGIN DISPLAY 880 576 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_251
            WIRE 672 368 704 368
        END BRANCH
        INSTANCE XLXI_78 448 400 R0
        BEGIN BRANCH XLXN_252
            WIRE 672 432 704 432
        END BRANCH
        INSTANCE XLXI_79 448 464 R0
        BEGIN BRANCH CONTROL(0)
            WIRE 224 368 304 368
            WIRE 304 368 448 368
            BEGIN DISPLAY 304 368 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CONTROL(3)
            WIRE 224 432 304 432
            WIRE 304 432 448 432
            BEGIN DISPLAY 304 432 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN DISPLAY 1120 1104 TEXT "Port C and  Read Data Selector"
            FONT 44 "Arial"
        END DISPLAY
    END SHEET
END SCHEMATIC
