VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_1
        SIGNAL XLXN_2
        SIGNAL XLXN_3
        SIGNAL XLXN_6
        SIGNAL XLXN_7
        SIGNAL XLXN_8
        SIGNAL XLXN_5
        SIGNAL XLXN_40
        SIGNAL DOA
        SIGNAL DOB
        SIGNAL DA0
        SIGNAL DA1
        SIGNAL DA2
        SIGNAL DA3
        SIGNAL DB0
        SIGNAL DB1
        SIGNAL DB2
        SIGNAL DB3
        SIGNAL S0
        SIGNAL S1
        SIGNAL S2
        SIGNAL S3
        PORT Output DOA
        PORT Output DOB
        PORT Input DA0
        PORT Input DA1
        PORT Input DA2
        PORT Input DA3
        PORT Input DB0
        PORT Input DB1
        PORT Input DB2
        PORT Input DB3
        PORT Input S0
        PORT Input S1
        PORT Input S2
        PORT Input S3
        BEGIN BLOCKDEF and2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF or4
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 48 -64 
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -256 48 -256 
            LINE N 256 -160 192 -160 
            ARC N 28 -208 204 -32 192 -160 112 -208 
            LINE N 112 -208 48 -208 
            LINE N 112 -112 48 -112 
            LINE N 48 -256 48 -208 
            LINE N 48 -64 48 -112 
            ARC N -40 -216 72 -104 48 -112 48 -208 
            ARC N 28 -288 204 -112 112 -112 192 -160 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 and2
            PIN I0 S0
            PIN I1 DA0
            PIN O XLXN_6
        END BLOCK
        BEGIN BLOCK XLXI_2 and2
            PIN I0 S1
            PIN I1 DA1
            PIN O XLXN_7
        END BLOCK
        BEGIN BLOCK XLXI_3 and2
            PIN I0 S2
            PIN I1 DA2
            PIN O XLXN_8
        END BLOCK
        BEGIN BLOCK XLXI_4 and2
            PIN I0 S3
            PIN I1 DA3
            PIN O XLXN_40
        END BLOCK
        BEGIN BLOCK XLXI_9 or4
            PIN I0 XLXN_40
            PIN I1 XLXN_8
            PIN I2 XLXN_7
            PIN I3 XLXN_6
            PIN O DOA
        END BLOCK
        BEGIN BLOCK XLXI_5 and2
            PIN I0 S0
            PIN I1 DB0
            PIN O XLXN_1
        END BLOCK
        BEGIN BLOCK XLXI_6 and2
            PIN I0 S1
            PIN I1 DB1
            PIN O XLXN_2
        END BLOCK
        BEGIN BLOCK XLXI_10 or4
            PIN I0 XLXN_5
            PIN I1 XLXN_3
            PIN I2 XLXN_2
            PIN I3 XLXN_1
            PIN O DOB
        END BLOCK
        BEGIN BLOCK XLXI_7 and2
            PIN I0 S2
            PIN I1 DB2
            PIN O XLXN_3
        END BLOCK
        BEGIN BLOCK XLXI_8 and2
            PIN I0 S3
            PIN I1 DB3
            PIN O XLXN_5
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 1900 1344
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        INSTANCE XLXI_1 608 176 R0
        INSTANCE XLXI_2 608 336 R0
        INSTANCE XLXI_3 608 496 R0
        INSTANCE XLXI_5 608 848 R0
        INSTANCE XLXI_6 608 1008 R0
        INSTANCE XLXI_7 608 1168 R0
        BEGIN BRANCH XLXN_1
            WIRE 864 752 1040 752
            WIRE 1040 752 1040 896
            WIRE 1040 896 1104 896
        END BRANCH
        BEGIN BRANCH XLXN_6
            WIRE 864 80 1024 80
            WIRE 1024 80 1024 224
            WIRE 1024 224 1088 224
        END BRANCH
        INSTANCE XLXI_10 1104 1152 R0
        BEGIN BRANCH XLXN_2
            WIRE 864 912 944 912
            WIRE 944 912 944 960
            WIRE 944 960 1104 960
        END BRANCH
        BEGIN BRANCH XLXN_3
            WIRE 864 1072 944 1072
            WIRE 944 1024 1104 1024
            WIRE 944 1024 944 1072
        END BRANCH
        INSTANCE XLXI_9 1088 480 R0
        BEGIN BRANCH XLXN_7
            WIRE 864 240 944 240
            WIRE 944 240 944 288
            WIRE 944 288 1088 288
        END BRANCH
        BEGIN BRANCH XLXN_8
            WIRE 864 400 944 400
            WIRE 944 352 1088 352
            WIRE 944 352 944 400
        END BRANCH
        BEGIN BRANCH XLXN_5
            WIRE 864 1232 1040 1232
            WIRE 1040 1088 1040 1232
            WIRE 1040 1088 1104 1088
        END BRANCH
        INSTANCE XLXI_8 608 1328 R0
        INSTANCE XLXI_4 608 640 R0
        BEGIN BRANCH XLXN_40
            WIRE 864 544 1040 544
            WIRE 1040 416 1040 544
            WIRE 1040 416 1088 416
        END BRANCH
        BEGIN BRANCH DOA
            WIRE 1344 320 1648 320
        END BRANCH
        BEGIN BRANCH DOB
            WIRE 1360 992 1632 992
        END BRANCH
        BEGIN BRANCH DA0
            WIRE 240 48 608 48
        END BRANCH
        BEGIN BRANCH DA1
            WIRE 240 208 608 208
        END BRANCH
        BEGIN BRANCH DA2
            WIRE 240 368 608 368
        END BRANCH
        BEGIN BRANCH DA3
            WIRE 240 512 608 512
        END BRANCH
        BEGIN BRANCH DB0
            WIRE 240 720 608 720
        END BRANCH
        BEGIN BRANCH DB1
            WIRE 240 880 608 880
        END BRANCH
        BEGIN BRANCH DB2
            WIRE 240 1040 608 1040
        END BRANCH
        BEGIN BRANCH DB3
            WIRE 240 1200 608 1200
        END BRANCH
        BEGIN BRANCH S0
            WIRE 240 784 400 784
            WIRE 400 784 608 784
            WIRE 400 112 400 784
            WIRE 400 112 608 112
        END BRANCH
        BEGIN BRANCH S1
            WIRE 240 944 448 944
            WIRE 448 944 608 944
            WIRE 448 272 448 944
            WIRE 448 272 608 272
        END BRANCH
        BEGIN BRANCH S2
            WIRE 240 1104 496 1104
            WIRE 496 1104 608 1104
            WIRE 496 432 496 1104
            WIRE 496 432 608 432
        END BRANCH
        BEGIN BRANCH S3
            WIRE 240 1264 544 1264
            WIRE 544 1264 608 1264
            WIRE 544 576 544 1264
            WIRE 544 576 608 576
        END BRANCH
        IOMARKER 240 1264 S3 R180 28
        IOMARKER 240 1104 S2 R180 28
        IOMARKER 240 944 S1 R180 28
        IOMARKER 240 784 S0 R180 28
        IOMARKER 240 48 DA0 R180 28
        IOMARKER 240 208 DA1 R180 28
        IOMARKER 240 368 DA2 R180 28
        IOMARKER 240 512 DA3 R180 28
        IOMARKER 240 720 DB0 R180 28
        IOMARKER 240 880 DB1 R180 28
        IOMARKER 240 1040 DB2 R180 28
        IOMARKER 240 1200 DB3 R180 28
        IOMARKER 1648 320 DOA R0 28
        IOMARKER 1632 992 DOB R0 28
        BEGIN DISPLAY 1192 1228 TEXT "Data Selector 4 to 1 (2 bits)"
            FONT 44 "Arial"
        END DISPLAY
    END SHEET
END SCHEMATIC
